<div *ngIf = "condition; else elseBlock">
    <div class="container-fluid"> 
    <div class="row bg-primary justify-content-center 
            align-items-center" style="height:80px"> 
        <div class="col-3"></div> 
        <div class="col-6 text-light h2"> 
           Todo List
        </div> 
    </div> 
  
    <!--Division for taking input from user -->
    <div class="row mt-1" style="height:80px;"> 
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
        <div class="col-12 col-md-6 bg-primary d-flex  
                    justify-content-center align-items-center  
                    text-light h3"> 
  
            <input [(ngModel)]="newTask" type="text" 
                    value="" class="col-7 form-control"
                        style="width:300px;"> 
  
            <div class="col-1"></div> 
  
            <button (click)="addToList()"  
                class="btn btn-light text-primary"> 
                ADD TASK 
            </button> 
        </div> 
  
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
    </div> 
  
    <!--Tasks added repeated divisions-->
    <div *ngFor="let item of items; let index = index;" 
            class="row mt-1" style="height:100px;"> 
  
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
  
        <div class="col-12 col-md-6 bg-primary d-flex 
                    justify-content-center align-items-center 
                    text-light h3"> 
  
            <div class="col-9 text-light h3" [class.hidden] = "item.isEditMode">{{item.text}}</div> 
           <input [class.hidden] = "!item.isEditMode" [(ngModel)]="item.text" type="text" 
                    value="" class="col-7 form-control"
                        style="width:300px;"> 
  
            <input (click)="deleteTask(item)" type="button"
                value="Delete" class="col-2 btn btn-danger"> 
                <input (click)="EditTask(item)" type="button"
                value="Edit" class="col-2 btn btn-danger"> 
        </div> 
          
        <div class="col-3 d-none col-md-3 d-md-block"></div> 
    </div> 
</div> 
</div>

<ng-template #elseBlock>
   <app-login></app-login>
    </ng-template>



<div *ngIf="condition; else elseBlock">
  Content to render when condition is true.
</div>
<ng-template #elseBlock>
  Content to render when condition is false.
</ng-template>


